Support Questions
Find answers, ask questions, and share your expertise

Kafka + Query the detailed configuration of all Topics

hi all

 

we have Kafka server with version 2.6 on Linux rhel machine 

 

what is wrong with the following Kafka cli

 

kafka-topics.sh --bootstrap-server="kafka1:6667" --describe|more
Error while executing topic command : The broker does not support DESCRIBE_CONFIGS
[2021-09-02 11:19:02,486] ERROR org.apache.kafka.common.errors.UnsupportedVersionException: The broker does not support DESCRIBE_CONFIGS
(kafka.admin.TopicCommand$)

 

is above cli - is valid approach ? 

Michael-Bronson
1 REPLY 1

Contributor

Depends on your brokers  version to support, as the error says.

Related KIP-133 (implemented in Kafka 0.11, according to JIRA)

SME || Kafka | Schema Registry | SMM | SRM
; ;